Subject: [455] Compiling on AIX 3.2.5

From: Forrest Aldrich <[email-masked]>
Date: Fri, 16 Sep 1994 11:33:35 -0400 (EDT)

I've run into some problems with wuftp on AIX 3.2.5.  It may be
a configuration error, but I've not been able to determine it.

When I connect, regardless of the username specified, I get access
denied.  Anyone know why this is happening and how to correct it?

I do have HOST ACCESS defined, but tried compiling without this
defined, and still the same problem perists.

---

From: Forrest Aldrich <[email-masked]>
Date: Fri, 16 Sep 1994 12:04:29 -0400 (EDT)

| The problem is most likely that wu-ftp doesn't know how to get the list of
| valid shells for AIX.  You can either create an /etc/shells file or you can
| ftp my patches that allows wu-ftpd to get the valid shells the ``AIX way''.
| 
| Another problem that you will run into on AIX is that all files will be
| owned by the same group as the daemon runs.  My patch also fixes this
| problem for AIX.  My patch is available at:
| 
| tigger.itc.virginia.edu:/pub/wu-ftpd.diffs.txt.gz
[ ... ]

	Isn't AIX wonderful?  And now there's AIX 4.1 which I understand is
	a real bomb (we still have it on order).

	I'm attempting to xfer them now, the net's slow today.

	Thanks for responding, I really appreciate it.  Do you know when the
	next release of wu-ftpd is due? I understand that the next release
	will be a major revamp.  Did you submit these diffs to the developers?

	There are also some miscellaneos patches around... we have a local
	one to popen.c for a security patch, but that's about it.

	Thanks again,

	Forrest

---

From: Bill Pemberton <[email-masked]>
Date: Fri, 16 Sep 1994 11:51:17 -0400 (EDT)

> denied.  Anyone know why this is happening and how to correct it?

The problem is most likely that wu-ftp doesn't know how to get the list of
valid shells for AIX.  You can either create an /etc/shells file or you can
ftp my patches that allows wu-ftpd to get the valid shells the ``AIX way''.

Another problem that you will run into on AIX is that all files will be
owned by the same group as the daemon runs.  My patch also fixes this
problem for AIX.  My patch is available at:

tigger.itc.virginia.edu:/pub/wu-ftpd.diffs.txt.gz

-- 
Bill Pemberton                           [email-masked]
ITC/Unix Systems                         [email-masked]
University of Virginia                   uunet!virginia!wfp5p